GCLOUD_DNS_RECORD-SETS_TRANSACTION_ADD(1)

NAME

gcloud dns record-sets transaction add - append a record-set addition to the transaction

SYNOPSIS

gcloud dns record-sets transaction add DATA [DATA ...] --name NAME --ttl TTL --type TYPE --zone ZONE, -z ZONE [--transaction-file TRANSACTION_FILE; default="transaction.yaml"] [GLOBAL-FLAG ...]

DESCRIPTION
This command appends a record-set addition to the transaction.

POSITIONAL ARGUMENTS
DATA [DATA ...]
    DNS data (Address/CNAME/MX info, etc.) of the record-set to add.

REQUIRED FLAGS
--name NAME
    DNS name of the record-set to add.
--ttl TTL
    TTL for the record-set to add.
--type TYPE
    Type of the record-set to add.
--zone ZONE, -z ZONE
    Name of the managed-zone whose record-sets you want to manage.

OPTIONAL FLAGS
--transaction-file TRANSACTION_FILE; default="transaction.yaml"
    Path of the file which contains the transaction.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To add an A record, run:
    $ gcloud dns record-sets transaction add -z MANAGED_ZONE \
        --name my.domain. --ttl 1234 --type A "1.2.3.4"
To add a TXT record with multiple data values, run:
    $ gcloud dns record-sets transaction add -z MANAGED_ZONE \
        --name my.domain. --ttl 2345 --type TXT "Hello world" \
        "Bye world"